package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;

public class ExtMsg_ALR21VO {
	private String msg;
	private String packetType;
	private int BSCount;                   //최대 10개 기지국 등록
	private List<String> BSIDList;         //array[1..10] of AnsiString;
	private List<String> BSNameList;       //array[1..10] of AnsiString;
	private List<Integer> statusList;      //array[1..10] of Integer, 0 : 정상, 1 : 1분간 AIS4 미수신, 2 : UTC 오류
	
	public ExtMsg_ALR21VO() {
		this.msg = "";
		this.packetType = "";
		this.BSCount = 0;
		this.BSIDList = new ArrayList<String>();
		this.BSNameList = new ArrayList<String>();
		this.statusList = new ArrayList<Integer>();	
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}	
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public int getBSCount() {
		return BSCount;
	}
	public void setBSCount(int BSCount) {
		this.BSCount = BSCount;
	}
	
    //{Todo : List Add 핸들링 방법 결정 후 작업 필요}	
	public List<String> getBSIDList(){
		return BSIDList;
	}	
	public List<String> getBSNameList(){
		return BSNameList;
	}		
	public List<Integer> getStatusList(){
		return statusList;
	}
	
	public void ClearBSIDList() {
		if (this.BSIDList != null)
			this.BSIDList.clear();
	}
	public void addBSIDList(String BSID) {
		if (this.BSIDList != null)
			this.BSIDList.add(BSID);
	}		
	public void ClearBSNameList() {
		if (this.BSNameList != null)
			this.BSNameList.clear();
	}
	public void addBSNameList(String BSName) {
		if (this.BSNameList != null)
			this.BSNameList.add(BSName);
	}		
	public void ClearStatusList() {
		if (this.statusList != null)
			this.statusList.clear();
	}
	public void addStatusList(int status) {
		if (this.statusList != null)
			this.statusList.add(status);
	}	
		
}
